| Qore ConnectionProvider Module Reference 2.0.1

Loading...
Searching...
No Matches
Variables
Ping Flags

## Variables
const | ConnectionProvider::PF_AUTOMATIC_PING = (1 << 1)
| Ping flag: automatic / scheduled ping.
const | ConnectionProvider::PF_THROW_EXCEPTION = (1 << 0)

## Detailed Description

## Variable Documentation

## ◆ PF_AUTOMATIC_PING

const ConnectionProvider::PF_AUTOMATIC_PING = (1 << 1)

Ping flag: automatic / scheduled ping.

This should be set internally when calling ping() and can be used by connection classes to selectively disable automatic pings, for example, for metered or rate-limited connections

## ◆ PF_THROW_EXCEPTION

const ConnectionProvider::PF_THROW_EXCEPTION = (1 << 0)

Ping flag: throw exception on error